# SIPPublish Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPPublish:

[legend]
Collaboration diagram for SIPPublish:
[legend]

## Public Member Functions

| SIPPublish (SIPTransactionOwner &owner, OpalTransport &transport, const PString &id, const PString &sipIfMatch, const SIPSubscribe::Params &params, const PString &body)
virtual SIPTransaction * | CreateDuplicate () const

## Constructor & Destructor Documentation

SIPPublish::SIPPublish | ( | SIPTransactionOwner & | owner,
|  | OpalTransport & | transport,
|  | const PString & | id,
|  | const PString & | sipIfMatch,
|  | const SIPSubscribe::Params & | params,
|  | const PString & | body |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPPublish::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

The documentation for this class was generated from the following file:

- sippdu.h